TakenAt: 2016-08-12T13:23:50Z
TakenAtLocal: 2016-08-12T14:23:50Z
TakenSrc: meta
UID: pt67mf9z2la0d3aw
Type: image
Title: Outdoor / Libanus / 2016
TimeZone: Europe/London
PlaceSrc: meta
Altitude: 363
Lat: 51.934172222222216
Lng: -3.480488888888889
Year: 2016
Month: 8
Day: 12
ISO: 25
Exposure: 1/1451
FNumber: 2.2
FocalLength: 29
Quality: 4
Details:
  Keywords: cymru, green, illtud, libanus, mynydd, nature, outdoor, united-kingdom,
    wales
  Software: 9.3.3
  SoftwareSrc: meta
CreatedAt: 2025-11-24T02:47:33Z
UpdatedAt: 2025-11-24T08:05:48Z
